/*
 *  ======== main.c ========
 */

#include <xdc/std.h>
#include <xdc/runtime/Memory.h>



#include <xdc/runtime/System.h>
#include <xdc/runtime/Error.h>
#include <ti/sysbios/BIOS.h>
#include <ti/sysbios/knl/Semaphore.h>
#include <ti/sysbios/knl/Task.h>
#include <xdc/cfg/global.h>
#include <ti/sysbios/knl/Clock.h>
#include <ti/sysbios/knl/Queue.h>
#include <ti/sysbios/heaps/HeapMem.h>




#include "driverlib.h"

#include "device.h"
#define RESULTS_BUFFER_SIZE     256
#define EX_ADC_RESOLUTION       12
#define NUMMSGS 3
#define NUMWRITERS 3

typedef struct MsgObj {
    Queue_Elem elem;
    Int id;
    Char val;
}MsgObj,*Msg;

Queue_Handle msgQueue;
Queue_Handle freeQueue;

//Void reader();
//Void writer();
Void initpwm1(void);
Void initADC(void);
Void initADCSOC(void);
void initEPWM(void);
/*
 *  ======== taskFxn ========
 */
Void taskFxn0()
{
//    System_printf("enter taskFxn0()\n");
//    GPIO_writePin(DEVICE_GPIO_PIN_LED1, 1);
//    Task_sleep(100);
//    GPIO_writePin(DEVICE_GPIO_PIN_LED1, 0);
//    Task_sleep(100);
//    Semaphore_pend(semaphore0,BIOS_WAIT_FOREVER);
    GPIO_togglePin(DEVICE_GPIO_PIN_LED1);
//    System_printf("exit taskFxn()\n");
}
Void taskFxn1()
{
 //   System_printf("enter taskFxn1()\n");
//    GPIO_writePin(DEVICE_GPIO_PIN_LED1, 1);
//    Task_sleep(100);
//    GPIO_writePin(DEVICE_GPIO_PIN_LED1, 0);
//    Task_sleep(100);
//    Semaphore_pend(semaphore0,BIOS_WAIT_FOREVER);
    GPIO_togglePin(DEVICE_GPIO_PIN_LED1);
//    System_printf("exit taskFxn()\n");
}
/**
 * ==========MyIdleFunc===============
 *
 */
void MyIdleFunc(void){
    System_flush();
}
/*
 *  ======== main ========
 */
/**
 * ==================MyOwnClock====================
 */
void MyOwnClk(void){
//
 //   if(Semaphore_getCount(semaphore0)<10){
  //      Semaphore_post(semaphore0);
//        Semaphore_post(semaphore0);
//    }
taskFxn1();
}
void MyOwnClk2(void){
//
 //   if(Semaphore_getCount(semaphore0)<10){
//        Semaphore_post(semaphore0);
//    }
    taskFxn0();


}


//extern Semaphore_Handle sem;

Void adcdpwmhwi(void){
    GPIO_togglePin(DEVICE_GPIO_PIN_LED1);
//    ADC_clearInterruptStatus(ADCD_BASE, ADC_INT_NUMBER1);
//    Interrupt_clearACKGroup(INTERRUPT_ACK_GROUP1);
}

Int main()
{
//    System_printf("enter main()\n");
/**
 * @brief This below code explains the samephore
 * =================================================================
 * */
//    int i;
//    MsgObj *msg;
//    Error_Block eb;
//
//    Error_init(&eb);
//
//    msg = (MsgObj *)Memory_alloc(NULL,NUMMSGS *sizeof(MsgObj),0,&eb);
//    if(msg==NULL){
//        System_abort("Memory allocation Failed");
//        System_flush();
//    }
//
//    /**Put all Message into the Queue*/
//    for(i=0;i<NUMMSGS;msg++,i++){
//        Queue_put(freeQueue,(Queue_Elem *) msg);
//    }
/**
 * =================================================================
 * */
    Device_initGPIO();
//    Interrupt_initModule();
//    Interrupt_initVectorTable();
    GPIO_setPadConfig(DEVICE_GPIO_PIN_LED1, GPIO_PIN_TYPE_STD);
    GPIO_setDirectionMode(DEVICE_GPIO_PIN_LED1, GPIO_DIR_MODE_OUT);
    initADC();
    initEPWM();
    initADCSOC();
    Interrupt_register(INT_ADCD1, &adcdpwmhwi);
//    Hwi_enableIER(0x0001);
 //   Hwi_enablePIEIER(0x1, 0x1);
    EPWM_enableADCTrigger(EPWM1_BASE, EPWM_SOC_A);
//    Interrupt_enable(INT_ADCA1);
    EPWM_enableADCTrigger(EPWM1_BASE, EPWM_SOC_A);
    EPWM_setTimeBaseCounterMode(EPWM1_BASE, EPWM_COUNTER_MODE_UP);
 //   Hwi_startup();
//    EINT;
    ERTM;
//    Hwi_post(32);
    BIOS_start();    /* does not return */
    return(0);
}
/**
 * @brief This below code explains the samephore
 * =================================================================
 * */
//Void reader(void){
//    Msg msg;
//    Int i;
//    for(i=0;i<NUMMSGS*NUMWRITERS;i++){
//        Semaphore_pend(semaphore0,BIOS_WAIT_FOREVER);
//        msg = Queue_get(msgQueue);
//        System_printf("read '%c' from (%d). \n",msg->val,msg->id);
//        System_flush();
//    }
//    System_printf("reader done. \n");
//    System_flush();
//}
//
//Void writer(Int id){
//    Msg msg;
//    Int i;
//    for(i=0;i<NUMMSGS;i++){
//        msg = Queue_get(freeQueue);
//        msg->id = id;
//        msg->val = (i&0xf)+'a';
//        System_printf("(%d) writing '%c'  . . . \n",id,msg->val);
//        System_flush();
//
//        Queue_put(msgQueue,(Queue_Elem*)msg);
//
//        Semaphore_post(semaphore0);
//    }
//    System_printf("writer (%d) done. \n",id);
//    System_flush();
//}
/*
 * ===================================================================
 * */
/****/
void initADC(void)
{
    //
    // Set ADCCLK divider to /4
    //
    ADC_setPrescaler(ADCA_BASE, ADC_CLK_DIV_4_0);

    //
    // Set resolution and signal mode (see #defines above) and load
    // corresponding trims.
    //
#if(EX_ADC_RESOLUTION == 12)
    ADC_setMode(ADCA_BASE, ADC_RESOLUTION_12BIT, ADC_MODE_SINGLE_ENDED);
#elif(EX_ADC_RESOLUTION == 16)
    ADC_setMode(ADCA_BASE, ADC_RESOLUTION_16BIT, ADC_MODE_DIFFERENTIAL);
#endif
    //
    // Set pulse positions to late
    //
    ADC_setInterruptPulseMode(ADCA_BASE, ADC_PULSE_END_OF_CONV);

    //
    // Power up the ADC and then delay for 1 ms
    //
    ADC_enableConverter(ADCA_BASE);
    DEVICE_DELAY_US(1000);
}

//
// Function to configure ePWM1 to generate the SOC.
//
void initEPWM(void)
{
    //
    // Disable SOCA
    //
    EPWM_disableADCTrigger(EPWM1_BASE, EPWM_SOC_A);

    //
    // Configure the SOC to occur on the first up-count event
    //
    EPWM_setADCTriggerSource(EPWM1_BASE, EPWM_SOC_A, EPWM_SOC_TBCTR_U_CMPA);
    EPWM_setADCTriggerEventPrescale(EPWM1_BASE, EPWM_SOC_A, 1);

    //
    // Set the compare A value to 2048 and the period to 4096
    //
    EPWM_setCounterCompareValue(EPWM1_BASE, EPWM_COUNTER_COMPARE_A, 0x0800);
    EPWM_setTimeBasePeriod(EPWM1_BASE, 0x1000);

    //
    // Freeze the counter
    //
    EPWM_setTimeBaseCounterMode(EPWM1_BASE, EPWM_COUNTER_MODE_STOP_FREEZE);
}

//
// Function to configure ADCA's SOC0 to be triggered by ePWM1.
//
void initADCSOC(void)
{
    //
    // Configure SOC0 of ADCA to convert pin A0. The EPWM1SOCA signal will be
    // the trigger.
    //
    // For 12-bit resolution, a sampling window of 15 (75 ns at a 200MHz
    // SYSCLK rate) will be used.  For 16-bit resolution, a sampling window of
    // 64 (320 ns at a 200MHz SYSCLK rate) will be used.
    //
#if(EX_ADC_RESOLUTION == 12)
       ADC_setupSOC(ADCA_BASE, ADC_SOC_NUMBER0, ADC_TRIGGER_EPWM1_SOCA,
                    ADC_CH_ADCIN0, 15);
#elif(EX_ADC_RESOLUTION == 16)
       ADC_setupSOC(ADCA_BASE, ADC_SOC_NUMBER0, ADC_TRIGGER_EPWM1_SOCA,
                    ADC_CH_ADCIN0, 64);
#endif

    //
    // Set SOC0 to set the interrupt 1 flag. Enable the interrupt and make
    // sure its flag is cleared.
    //
    ADC_setInterruptSource(ADCA_BASE, ADC_INT_NUMBER1, ADC_SOC_NUMBER0);
    ADC_enableInterrupt(ADCA_BASE, ADC_INT_NUMBER1);
    ADC_clearInterruptStatus(ADCA_BASE, ADC_INT_NUMBER1);
}

